<template>
    <div class='sm:h-screen sm:flex items-center sm:bg-xmas-gray sm:px-5'>
        <div class='max-w-7xl mx-auto font-mont sm:flex min-h-100 w-full'>
            <div class='bg-xmas-red flex-1 items-center flex justify-center py-6 sm:py-0 sm:rounded-l-lg sm:shadow-md flex-shrink-0'>
                <img :src="'images/logo-inverted.png'" alt='Logo' class='w-64 sm:w-96' />
            </div>
            <div class='flex-1 flex-shrink-0 pt-10 pb-24 sm:rounded-r-lg bg-white sm:shadow-md relative'>
                <transition name="fade" mode="out-in">
                        <template v-if='$store.getters["phase/isApplication"]'>
                            <component :is="currentStep"></component>
                        </template>
                        <template v-else>
                            <registration-ended></registration-ended>
                        </template>
                </transition>
            </div>
        </div>        
    </div>
</template>
<script>
    import Step1 from './SignupSteps/Step1'
    import Step2 from './SignupSteps/Step2'
    import Step3 from './SignupSteps/Step3'
    import Step4 from './SignupSteps/Step4'
    import Step5 from './SignupSteps/Step5'
    import Step6 from './SignupSteps/Step6'
    import RegistrationEnded from './SignupSteps/RegistrationEnded'

    export default {
        name: 'Register',
        components: {
            Step1,
            Step2,
            Step3,
            Step4,
            Step5,
            Step6,
            RegistrationEnded
        },
        computed: {
            currentStep() {
                return 'Step' + this.$store.getters['register/currentStep']
            },
        },
        mounted() {
            this.$store.dispatch('phase/getCurrentPhase');
            this.$store.dispatch("main/stopLoading");
        }
    }
</script>
<style lang='sass'>

</style>